Skip to main content

List Files

Overview​

The "List Files" API provides a list of uploaded files.

Request​

POST https://api.peperwork.ai/api/identify/file/v2/list

Request Body​

NameTypeMandatoryDescription
pnintegertruePage number
limitintegertrueStep; the value of limit can be up to 100
dataobjecttrueQuery parameters

Data Format

NameTypeMandatoryDescription
modelIdstringtrueID of the model
startTimelongfalseTimestamp of the start time (optional)
endTimelongfalseTimestamp of the end time (optional)

Response Body​

NameTypeMandatoryDescription
taskIdstringtrueUnique identifier for each file after file splitting
fileNamestringtrueThe file name of the uploaded file
createTimelongtrueTimestamp of the file upload time

Example request​

curl -i -X POST api.peperwork.ai/api/identify/file/v2/list \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $DOCAI_API_KEY" \
-d '{"data": {"modelId": "Your model Id","startTime": 1703013070000,"endTime": 1703019447000},"pn": 1,"limit": 15}'

Example response​

{
"code": 200,
"message": null,
"costTime": null,
"data": [
{
"taskId": "2312201737416922708045824",
"fileName": "fileName.pdf",
"documentStatus": "PRE_CHECK",
"createTime": 1703017071000
},
{
"taskId": "2312201737405911556943872",
"fileName": "fileName.pdf",
"documentStatus": "PRE_CHECK",
"createTime": 1703014447000
}
],
"requestId": "5a898002811b48f0be6edc89d1c2975d",
"currentTimeMillis": 1703075149238
}